Bug 1184977 - gstreamer1-vaapi should not provide h264 playback
Summary: gstreamer1-vaapi should not provide h264 playback
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer1-vaapi
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simon Farnsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 15:42 UTC by Kamil Páral
Modified: 2015-08-22 05:51 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-04 05:24:26 UTC


Attachments (Terms of Use)

Description Kamil Páral 2015-01-22 15:42:29 UTC
Description of problem:
According to bug 1168963 comment 4, gstreamer1-vaapi should not have Provides for h264 video, because there's no decoder for it inside this package (at least that's what I assume, with no deep knowledge about this). This is probably also true for the other Provides of other formats it currently contains.

Version-Release number of selected component (if applicable):
gstreamer1-vaapi-0:0.5.9-3.fc22
and F21 version as well

Comment 1 Simon Farnsworth 2015-01-22 15:48:15 UTC
I'll look into automatically filtering it out.

gstreamer1-vaapi does provide decoders, but only if the underlying VA-API driver provides a VA-API decoder for that format. This is unknowable at RPM building time, because it depends on which VA-API drivers the end system has installed; it looks like autoprovides has picked up too much.

Comment 2 Fedora Update System 2015-02-03 21:37:24 UTC
gstreamer1-vaapi-0.5.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gstreamer1-vaapi-0.5.10-1.fc21

Comment 3 Fedora Update System 2015-02-05 05:22:46 UTC
Package gstreamer1-vaapi-0.5.10-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer1-vaapi-0.5.10-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1684/gstreamer1-vaapi-0.5.10-1.fc21
then log in and leave karma (feedback).

Comment 4 Jaroslav Reznik 2015-03-03 17:19:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora Update System 2015-03-13 10:18:14 UTC
gstreamer1-vaapi-0.5.10-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gstreamer1-vaapi-0.5.10-2.fc21

Comment 6 Fedora Update System 2015-08-03 12:39:38 UTC
libcrystalhd-3.10.0-11.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/libcrystalhd-3.10.0-11.el7

Comment 7 Fedora Update System 2015-08-03 12:40:11 UTC
libcrystalhd-3.10.0-11.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/libcrystalhd-3.10.0-11.fc23

Comment 8 Fedora Update System 2015-08-04 05:24:26 UTC
gstreamer1-vaapi-0.5.10-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-08-10 09:57:08 UTC
libcrystalhd-3.10.0-11.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Nicolas Chauvet (kwizart) 2015-08-10 10:00:01 UTC
Wrong bug for the same problem

Comment 11 Fedora Update System 2015-08-22 05:51:45 UTC
libcrystalhd-3.10.0-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.